# $Header: /home/hiro/projects/dvr2/RCS/scripts.mk,v 1.8 2012/12/16 05:28:51 hiro Exp $
#
#	== Project DVR2 ==
#
#	Makefile fragment for additional target scripts
#
#	Copyright (c) 2011,2012 Hiro Sugawara

SCRIPTS-DIR	:=$(CWD)/scripts
SCRIPTS-TDIR:=$(EPGREC-TDIR)/sbin
PHP-TDIR	:=$(EPGREC-TDIR)/php

CRON-FILES	:= $(wildcard $(SCRIPTS-DIR)/*.cron)
PHP-FILES-ALL:= $(wildcard $(SCRIPTS-DIR)/*.php)
PL-FILES	:= $(wildcard $(SCRIPTS-DIR)/*.pl)
SH-FILES	:= $(wildcard $(SCRIPTS-DIR)/*.sh)

CONFIG-PHP	:= $(SCRIPTS-DIR)/config.php

PHP-FILES	:= $(filter-out $(CONFIG-PHP),$(PHP-FILES-ALL))

SCRIPTS-INSTALL:
	mkdir -p $(LINUX-INSTALL)$(SCRIPTS-TDIR) $(LINUX-INSTALL)$(PHP-TDIR)
	install -m755 $(SH-FILES) $(LINUX-INSTALL)$(SCRIPTS-TDIR)
	install -m755 $(PL-FILES) $(LINUX-INSTALL)$(SCRIPTS-TDIR)
	install -m755 $(PHP-FILES) $(LINUX-INSTALL)$(PHP-TDIR)
	install -m755 $(CONFIG-PHP) $(LINUX-INSTALL)$(EPGREC-TDIR)
	install -m644 $(CRON-FILES) $(LINUX-INSTALL)/etc/cron.d
	install -m755 $(SCRIPTS-DIR)/do-record.sh$(LOCAL-DO-RECORD)	\
				$(LINUX-INSTALL)$(EPGREC-TDIR)/
	ln -sf do-record.sh$(LOCAL-DO-RECORD) $(LINUX-INSTALL)$(EPGREC-TDIR)/do-record.sh

#
# Distribution
#
DIST-FILES	+=	\
	$(CWD)/scripts.mk	\
	$(SCRIPTS-DIR)/Makefile	\
	$(SCRIPTS-DIR)/config.php	\
	$(SCRIPTS-DIR)/do-poll4ts.sh	\
	$(SCRIPTS-DIR)/do-record.sh.pt1-arkusa	\
	$(SCRIPTS-DIR)/dvr2-addiepg.pl	\
	$(SCRIPTS-DIR)/dvr2-atfilter.pl	\
	$(SCRIPTS-DIR)/dvr2-cancel.php	\
	$(SCRIPTS-DIR)/dvr2-cancel.pl	\
	$(SCRIPTS-DIR)/dvr2-common.pl	\
	$(SCRIPTS-DIR)/dvr2-delresv.pl	\
	$(SCRIPTS-DIR)/dvr2-endrec.pl	\
	$(SCRIPTS-DIR)/dvr2-isskip.pl	\
	$(SCRIPTS-DIR)/dvr2-pt1free.pl	\
	$(SCRIPTS-DIR)/dvr2-schedule.php	\
	$(SCRIPTS-DIR)/dvr2-schedule.pl	\
	$(SCRIPTS-DIR)/dvr2-showchannels.php	\
	$(SCRIPTS-DIR)/dvr2-showchannels.pl	\
	$(SCRIPTS-DIR)/dvr2-startrec.pl	\
	$(SCRIPTS-DIR)/dvr2-stream.php	\
	$(SCRIPTS-DIR)/dvr2-sync2epg.pl	\
	$(SCRIPTS-DIR)/dvr2-ts2iepg.pl	\
	$(SCRIPTS-DIR)/dvr2.cron	\
	$(SCRIPTS-DIR)/getepg.cron	\
	$(SCRIPTS-DIR)/poll4ts.cron	\
	$(SCRIPTS-DIR)/poll4ts.sh	\
	$(SCRIPTS-DIR)/transcode	\
	$(SCRIPTS-DIR)/ts2avi.sh
