# $Header: /home/hiro/projects/dvr2/RCS/mysql.mk,v 1.2 2012/07/13 22:59:24 hiro Exp $
#
# mysql.mk
#
#	== Project DVR2 ==
#
#	Makefile fragment for MySQL script maintenance
#
#	Copyright (c) 2012 Hiro Sugawara
#

MYSQL-DIR	:= $(CWD)/mysql

#
# MySQL database
#
CONFIG_SQL	:= $(MYSQL-DIR)/configure.sql
CLEAN_SQL	:= $(MYSQL-DIR)/clean.sql
ifeq ($(EPGREC_DB_PASSWD),)
$(error EPGREC_DB_PASSWD empty.)
endif
database:
	@sed 's|@@EPGREC_DB_PASSWD@@|$(EPGREC_DB_PASSWD)|' < $(CONFIG_SQL) |	\
		$(SSH) mysql --user=root --password=$(MYSQL_PASSWD)
	@echo "MySQL user dvr2 created."

database-clean:
	@sed 's|@@EPGREC_DB_PASSWD@@|$(EPGREC_DB_PASSWD)|' < $(CLEAN_SQL) |	\
		$(SSH) mysql --user=root --password=$(MYSQL_PASSWD)
	@echo "MySQL user dvr2 dropped."

DIST-FILES	+=	\
	$(CWD)/mysql.mk	\
	$(MYSQL-DIR)/clean.sql	\
	$(MYSQL-DIR)/configure.sql
